## golang-github-containers-buildah 1.41.5+ds1

=== Makefile ===
export GOPROXY=https://proxy.golang.org

APPARMORTAG := $(shell hack/apparmor_tag.sh)
STORAGETAGS := $(shell ./btrfs_installed_tag.sh) $(shell ./hack/libsubid_tag.sh)
SECURITYTAGS ?= seccomp $(APPARMORTAG)
TAGS ?= $(SECURITYTAGS) $(STORAGETAGS) $(shell ./hack/systemd_tag.sh) $(shell ./hack/sqlite_tag.sh)
ifeq ($(shell uname -s),FreeBSD)
# FreeBSD needs CNI until netavark is supported
TAGS += cni
endif
BUILDTAGS += $(TAGS)
PREFIX := /usr/local
BINDIR := $(PREFIX)/bin
BASHINSTALLDIR = $(PREFIX)/share/bash-completion/completions
BUILDFLAGS := -tags "$(BUILDTAGS)"
BUILDAH := buildah
SELINUXOPT ?= $(shell test -x /usr/sbin/selinuxenabled && selinuxenabled && echo -Z)
SELINUXTYPE=container_runtime_exec_t
AS ?= as
STRIP ?= strip

GO := go
GO_LDFLAGS := $(shell if $(GO) version|grep -q gccgo; then echo "-gccgoflags"; else echo "-ldflags"; fi)
GO_GCFLAGS := $(shell if $(GO) version|grep -q gccgo; then echo "-gccgoflags"; else echo "-gcflags"; fi)
NPROCS := $(shell nproc)
export GO_BUILD=$(GO) build
export GO_TEST=$(GO) test -parallel=$(NPROCS)
RACEFLAGS ?= $(shell $(GO_TEST) -race ./pkg/dummy > /dev/null 2>&1 && echo -race)

COMMIT_NO ?= $(shell git rev-parse HEAD 2> /dev/null || true)
GIT_COMMIT ?= $(if $(shell git status --porcelain --untracked-files=no),${COMMIT_NO}-dirty,${COMMIT_NO})
SOURCE_DATE_EPOCH ?= $(if $(shell date +%s),$(shell date +%s),$(error "date failed"))

# we get GNU make 3.x in MacOS build envs, which wants # to be escaped in
# strings, while the 4.x we have on Linux doesn't. this is the documented
# workaround
COMMENT := \#
CNI_COMMIT := $(shell sed -n 's;^$(COMMENT) github.com/containernetworking/cni \([^ \n]*\).*$$;\1;p' vendor/modules.txt)

EXTRA_LDFLAGS ?=
BUILDAH_LDFLAGS := $(GO_LDFLAGS) '-X main.GitCommit=$(GIT_COMMIT) -X main.buildInfo=$(SOURCE_DATE_EPOCH) -X main.cniVersion=$(CNI_COMMIT) $(EXTRA_LDFLAGS)'

# This isn't what we actually build; it's a superset, used for target
# dependencies. Basically: all *.go and *.c files, except *_test.go,
# and except anything in a dot subdirectory. If any of these files is
# newer than our target (bin/buildah), a rebuild is triggered.
SOURCES=$(shell find . -path './.*' -prune -o \( \( -name '*.go' -o -name '*.c' \) -a ! -name '*_test.go' \) -print)

LINTFLAGS ?=

ifeq ($(BUILDDEBUG), 1)
  override GOGCFLAGS += -N -l
endif

# Managed by renovate.
export GOLANGCI_LINT_VERSION := 2.1.0

#   make all BUILDDEBUG=1
#     Note: Uses the -N -l go compiler options to disable compiler optimizations
#           and inlining. Using these build options allows you to subsequently
#           use source debugging tools like delve.
all: bin/buildah bin/imgtype bin/copy bin/inet bin/tutorial bin/dumpspec bin/passwd docs

bin/buildah: $(SOURCES) internal/mkcw/embed/entrypoint_amd64.gz
	$(GO_BUILD) $(BUILDAH_LDFLAGS) $(GO_GCFLAGS) "$(GOGCFLAGS)" -o $@ $(BUILDFLAGS) ./cmd/buildah
	test -z "${SELINUXOPT}" || chcon --verbose -t $(SELINUXTYPE) $@

ifneq ($(shell $(AS) --version | grep x86_64),)
internal/mkcw/embed/entrypoint_amd64.gz: internal/mkcw/embed/entrypoint_amd64
	gzip -k9nf $^

internal/mkcw/embed/entrypoint_amd64: internal/mkcw/embed/entrypoint_amd64.s
	$(AS) -o $(patsubst %.s,%.o,$^) $^
	$(LD) -o $@ $(patsubst %.s,%.o,$^)
	$(STRIP) $@
endif


.PHONY: buildah
buildah: bin/buildah

ALL_CROSS_TARGETS := $(addprefix bin/buildah.,$(subst /,.,$(shell $(GO) tool dist list)))
LINUX_CROSS_TARGETS := $(filter-out %.loong64,$(filter bin/buildah.linux.%,$(ALL_CROSS_TARGETS)))
DARWIN_CROSS_TARGETS := $(filter bin/buildah.darwin.%,$(ALL_CROSS_TARGETS))
WINDOWS_CROSS_TARGETS := $(addsuffix .exe,$(filter bin/buildah.windows.%,$(ALL_CROSS_TARGETS)))
FREEBSD_CROSS_TARGETS := $(filter bin/buildah.freebsd.%,$(ALL_CROSS_TARGETS))
.PHONY: cross
cross: $(LINUX_CROSS_TARGETS) $(DARWIN_CROSS_TARGETS) $(WINDOWS_CROSS_TARGETS) $(FREEBSD_CROSS_TARGETS)

bin/buildah.%: $(SOURCES)
	mkdir -p ./bin
	GOOS=$(word 2,$(subst ., ,$@)) GOARCH=$(word 3,$(subst ., ,$@)) $(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ -tags "containers_image_openpgp" ./cmd/buildah

bin/dumpspec: $(SOURCES)
	$(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ $(BUILDFLAGS) ./tests/dumpspec

bin/imgtype: $(SOURCES)
	$(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ $(BUILDFLAGS) ./tests/imgtype/imgtype.go

bin/copy: $(SOURCES)
	$(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ $(BUILDFLAGS) ./tests/copy/copy.go

bin/tutorial: $(SOURCES)
	$(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ $(BUILDFLAGS) ./tests/tutorial/tutorial.go

bin/inet: tests/inet/inet.go
	$(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ $(BUILDFLAGS) ./tests/inet/inet.go

bin/passwd: tests/passwd/passwd.go
	$(GO_BUILD) $(BUILDAH_LDFLAGS) -o $@ $(BUILDFLAGS) ./tests/passwd/passwd.go

.PHONY: clean
clean:
	$(RM) -r bin tests/testreport/testreport tests/conformance/testdata/mount-targets/true
	$(MAKE) -C docs clean

.PHONY: docs
docs: install.tools ## build the docs on the host
	$(MAKE) -C docs

codespell:
	codespell -w

.PHONY: validate
validate: install.tools
	./tests/validate/whitespace.sh
	./hack/xref-helpmsgs-manpages
	./tests/validate/pr-should-include-tests

.PHONY: install.tools
install.tools:
	$(MAKE) -C tests/tools

.PHONY: install
install:
	install -d -m 755 $(DESTDIR)/$(BINDIR)
	install -m 755 bin/buildah $(DESTDIR)/$(BINDIR)/buildah
	$(MAKE) -C docs install

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/buildah
	rm -f $(PREFIX)/share/man/man1/buildah*.1
	rm -f $(DESTDIR)/$(BASHINSTALLDIR)/buildah

.PHONY: install.completions
install.completions:
	install -m 755 -d $(DESTDIR)/$(BASHINSTALLDIR)
	install -m 644 contrib/completions/bash/buildah $(DESTDIR)/$(BASHINSTALLDIR)/buildah

.PHONY: test-conformance
test-conformance: tests/conformance/testdata/mount-targets/true
	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover -timeout 60m ./tests/conformance

.PHONY: test-integration
test-integration: install.tools
	cd tests; ./test_runner.sh

tests/testreport/testreport: tests/testreport/testreport.go
	$(GO_BUILD) $(GO_LDFLAGS) "-linkmode external -extldflags -static" -tags "$(STORAGETAGS) $(SECURITYTAGS)" -o tests/testreport/testreport ./tests/testreport/testreport.go

tests/conformance/testdata/mount-targets/true: tests/conformance/testdata/mount-targets/true.go
	$(GO_BUILD) $(GO_LDFLAGS) "-linkmode external -extldflags -static" -o tests/conformance/testdata/mount-targets/true tests/conformance/testdata/mount-targets/true.go

.PHONY: test-unit
test-unit: tests/testreport/testreport
	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover $(RACEFLAGS) $(shell $(GO) list ./... | grep -v vendor | grep -v tests | grep -v cmd | grep -v chroot | grep -v copier) -timeout 45m
	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)"        $(RACEFLAGS) ./chroot ./copier -timeout 60m
	tmp=$(shell mktemp -d) ; \
	mkdir -p $$tmp/root $$tmp/runroot; \
	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -cover $(RACEFLAGS) ./cmd/buildah -args --root $$tmp/root --runroot $$tmp/runroot --storage-driver vfs --signature-policy $(shell pwd)/tests/policy.json --registries-conf $(shell pwd)/tests/registries.conf

vendor-in-container:
	goversion=$(shell sed -e '/^go /!d' -e '/^go /s,.* ,,g' go.mod) ; \
	if test -d `$(GO) env GOCACHE` && test -w `$(GO) env GOCACHE` ; then \
		podman run --privileged --rm --env HOME=/root -v `$(GO) env GOCACHE`:/root/.cache/go-build --env GOCACHE=/root/.cache/go-build -v `pwd`:/src -w /src docker.io/library/golang:$$goversion make vendor ; \
	else \
		podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:$$goversion make vendor ; \
	fi

.PHONY: vendor
vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify
	if test -n "$(strip $(shell $(GO) env GOTOOLCHAIN))"; then go mod edit -toolchain none ; fi

.PHONY: lint
lint: install.tools
	./tests/tools/build/golangci-lint run $(LINTFLAGS)
	./tests/tools/build/golangci-lint run --tests=false $(LINTFLAGS)

# CAUTION: This is not a replacement for RPMs provided by your distro.
# Only intended to build and test the latest unreleased changes.
.PHONY: rpm
rpm:  ## Build rpm packages
	$(MAKE) -C rpm

# Remember that rpms install exec to /usr/bin/buildah while a `make install`
# installs them to /usr/local/bin/buildah which is likely before. Always use
# a full path to test installed buildah or you risk to call another executable.
.PHONY: rpm-install
rpm-install: package  ## Install rpm packages
	$(call err_if_empty,PKG_MANAGER) -y install rpm/RPMS/*/*.rpm
	/usr/bin/buildah version

=== docs/Makefile ===
PREFIX := /usr/local
DATADIR := ${PREFIX}/share
MANDIR := $(DATADIR)/man
# Following go-md2man is guaranteed on host
GOMD2MAN ?= ../tests/tools/build/go-md2man
ifeq ($(shell uname -s),FreeBSD)
SED=gsed
else
SED=sed
endif

docs: $(patsubst %.md,%,$(wildcard *.md))

%.1: %.1.md
### sed is used to filter http/s links as well as relative links
### replaces "\" at the end of a line with two spaces
### this ensures that manpages are rendered correctly
	@$(SED) -e 's/\((buildah[^)]*\.md\(#.*\)\?)\)//g' \
	 -e 's/\[\(buildah[^]]*\)\]/\1/g' \
	 -e 's/\[\([^]]*\)](http[^)]\+)/\1/g' \
	 -e 's;<\(/\)\?\(a\|a\s\+[^>]*\|sup\)>;;g' \
	 -e 's/\\$$/  /g' $<  | \
	$(GOMD2MAN) -in /dev/stdin -out  $@

.PHONY: install
install:
	install -d ${DESTDIR}/${MANDIR}/man1
	install -m 0644 buildah*.1 ${DESTDIR}/${MANDIR}/man1
	install -m 0644 links/buildah*.1 ${DESTDIR}/${MANDIR}/man1

.PHONY: clean
clean:
	$(RM) buildah*.1

=== rpm/Makefile ===
.PHONY: rpm
rpm:
	$(shell /usr/bin/bash ./update-spec-version.sh)
	spectool -g buildah.spec
	rpmbuild -ba \
		--define '_sourcedir $(shell pwd)' \
		--define '_rpmdir %{_sourcedir}/RPMS' \
		--define '_srcrpmdir %{_sourcedir}/SRPMS' \
		--define '_builddir %{_sourcedir}/BUILD' \
		buildah.spec
	@echo ___RPMS can be found in rpm/RPMS/.___
	@echo ___Undo any changes to Version, Source0 and %autosetup in rpm/buildah.spec before committing.___

=== tests/tools/Makefile ===
GO := go
GO_BUILD=$(GO) build

BUILDDIR := build

SOURCES = go.mod go.sum

all: $(BUILDDIR)

.PHONY: vendor
vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify
	if test -n "$(strip $(shell go env GOTOOLCHAIN))"; then go mod edit -toolchain none ; fi

vendor-in-container:
	if test -d `go env GOCACHE` && test -w `go env GOCACHE` ; then \
		podman run --privileged --rm --env HOME=/root -v `go env GOCACHE`:/root/.cache/go-build --env GOCACHE=/root/.cache/go-build -v `pwd`:/src -w /src docker.io/library/golang:1.21 make vendor ; \
	else \
		podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.21 make vendor ; \
	fi

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)

.PHONY: $(BUILDDIR)
$(BUILDDIR): \
	$(BUILDDIR)/go-md2man \
	$(BUILDDIR)/golangci-lint

$(BUILDDIR)/go-md2man: $(SOURCES)
	$(GO_BUILD) -o $@ ./vendor/github.com/cpuguy83/go-md2man/v2

# Use GOLANGCI_LINT_VERSION exported in top-level Makefile,
# or, if called directly, use "latest".
$(BUILDDIR)/golangci-lint: VERSION=$(if $(GOLANGCI_LINT_VERSION),v$(GOLANGCI_LINT_VERSION),latest)
$(BUILDDIR)/golangci-lint: check-lint-version
	@test -f $(BUILDDIR)/golangci-lint || \
		curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/HEAD/install.sh | sh -s -- -b ./$(BUILDDIR) $(VERSION)

.PHONY: check-lint-version
check-lint-version: VERSION=$(GOLANGCI_LINT_VERSION)
check-lint-version:
	@test -n "$(VERSION)" && \
		$(BUILDDIR)/golangci-lint version 2>/dev/null | grep -F $(VERSION) || \
		rm -f $(BUILDDIR)/golangci-lint

=== debian/changelog ===
golang-github-containers-buildah (1.41.5+ds1-4) unstable; urgency=medium

  * Upload to debian/unstable
  * debian/control:
    - Move to section 'golang', Switch to using "Static-Built-Using"
  * debian/copyright: drop contrib/buildahimage/*, moved out upstream
  * Ignore more testdata-related lintian warnings

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 26 Oct 2025 12:24:07 -0400

golang-github-containers-buildah (1.41.5+ds1-3) experimental; urgency=medium

  * Tigthen dependency on golang-github-openshift-imagebuilder-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Oct 2025 18:00:29 -0400

golang-github-containers-buildah (1.41.5+ds1-2) experimental; urgency=medium

  * Compile against docker 27.5.1

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 17 Oct 2025 04:53:15 -0400

golang-github-containers-buildah (1.41.5+ds1-1) unstable; urgency=medium

  * New upstream release: v1.41.5:
    - Run: create parent directories of mount targets with mode 0755
    - tests/run.bats: "run masks" test: accept "unreadable" masked directories

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 03 Oct 2025 08:28:09 -0400

=== debian/control ===
Source: golang-github-containers-buildah
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Conflicts: golang-github-dnephin-cobra-dev
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-ginkgo-dev,
               golang-github-appc-cni-dev (>= 0.7.0~~),
               golang-github-containers-common-dev (>= 0.64.1+ds1-2),
               golang-github-containers-image-dev (>= 5.36),
               golang-github-containers-luksy-dev,
               golang-github-containers-ocicrypt-dev,
               golang-github-containers-storage-dev (>= 1.59),
               golang-github-coreos-bbolt-dev (>= 1.3.3~),
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-docker-docker-dev (>= 27.5),
               golang-github-docker-go-units-dev,
               golang-github-fsouza-go-dockerclient-dev (>> 1.12),
               golang-github-hashicorp-go-multierror-dev,
               golang-github-ishidawataru-sctp-dev,
               golang-github-konsorten-go-windows-terminal-sequences-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-opencontainers-runc-dev (>= 1.3~),
               golang-github-opencontainers-runtime-tools-dev,
               golang-github-opencontainers-selinux-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-openshift-imagebuilder-dev (>= 1.2.15+ds1-2),
               golang-github-pkg-errors-dev,
               golang-github-seccomp-libseccomp-golang-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev (>= 1.2.1),
               golang-github-spf13-pflag-dev,
               golang-github-vbauerster-mpb-dev (>= 6),
               golang-go,
               golang-gocapability-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev,
               golang-gomega-dev,
               libapparmor-dev,
               libostree-dev,
               libseccomp-dev,
               libselinux1-dev,
               libsubid-dev
Standards-Version: 4.7.2
Homepage: https://github.com/containers/buildah
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah.git
XS-Go-Import-Path: github.com/containers/buildah
Testsuite: autopkgtest-pkg-go

Package: buildah
Architecture: any
Static-Built-Using: ${misc:Static-Built-Using}
Depends: golang-github-containers-common (>> 0.57),
         uidmap,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: fuse-overlayfs (<< 0.7.1)
Recommends: cpp, crun | runc, fuse-overlayfs (>= 0.7.1~), ${misc:Recommends}
Suggests: containers-storage
Description: CLI tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains the buildah command-line utility and provides an
 interface similar to the 'docker' command.

Package: golang-github-containers-buildah-dev
Architecture: all
Depends: golang-ginkgo-dev,
         golang-github-appc-cni-dev (>= 0.7.0~~),
         golang-github-containers-common-dev (>> 0.64),
         golang-github-containers-image-dev (>= 5.36),
         golang-github-containers-luksy-dev,
         golang-github-containers-ocicrypt-dev,
         golang-github-containers-storage-dev (>= 1.59),
         golang-github-coreos-bbolt-dev (>= 1.3.3~),
         golang-github-cyphar-filepath-securejoin-dev,
         golang-github-docker-docker-dev (>= 27.5),
#       golang-github-docker-distribution-dev,
         golang-github-docker-go-units-dev,
         golang-github-fsouza-go-dockerclient-dev (>> 1.12),
         golang-github-hashicorp-go-multierror-dev,
         golang-github-ishidawataru-sctp-dev,
         golang-github-mattn-go-shellwords-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-opencontainers-runc-dev (>= 1.3),
         golang-github-opencontainers-runtime-tools-dev,
         golang-github-opencontainers-selinux-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-openshift-imagebuilder-dev (>= 1.2.15+ds1-2),
         golang-github-pkg-errors-dev,
         golang-github-seccomp-libseccomp-golang-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-gocapability-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-sys-dev,
         golang-gomega-dev,
         ${misc:Depends}
Description: tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains golang sources that other package may require for
 building.

=== debian/rules ===
#!/usr/bin/make -f

# probably not suitable tests for running as part of package build
DH_GOLANG_EXCLUDES := \
	github.com/containers/buildah/tests/e2e \
	github.com/containers/buildah/tests/conformance

# TODO: fails finding some Containerfiles, not sure what's going wrong
DH_GOLANG_EXCLUDES += github.com/containers/buildah/pkg/util

# TOOD: builds and runs a helper utility during the tests, find out how
# to make this work during the package build
DH_GOLANG_EXCLUDES += github.com/containers/buildah/chroot

# cf. https://github.com/containers/buildah/issues/5713
ifneq (,$(filter $(DEB_HOST_ARCH), s390x))
DH_GOLANG_EXCLUDES += github.com/containers/buildah/internal/mkcw
endif

export DH_GOLANG_EXCLUDES
export DH_GOLANG_INSTALL_EXTRA := $(wildcard internal/mkcw/embed/*) $(wildcard tests/*.json)

override_dh_auto_build: $(MANPAGES) $(MANPAGES5)
	dh_auto_build -- -tags "seccomp selinux apparmor libsubid"
	make -C docs docs GOMD2MAN=go-md2man
	make -C docs install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
	env \
		HOME=$(CURDIR)/debian/tmp-home/.cache \
	dh_auto_test
	rm -rfv debian/tmp-home

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

=== debian/watch ===
Version: 5

Template: Github
Owner: containers
Project: buildah
Dversion-Mangle: auto
Uversion-Mangle: auto
Repacksuffix: +ds1

## golang-github-containers-buildah 1.42.1+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.42.1+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Tighten dependency against imagebuilder 1.2.19

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 27 Nov 2025 06:59:44 -0500

golang-github-containers-buildah (1.42.1+ds1-1) experimental; urgency=medium

  * New upstream release. Refresh patches. Notable changes:
    - Restore `--pull` default to `always
    - Add corporate proxy support for `build` and `add` commands.
    - Introduce `--imagestore` and `--transient-store` global flags.
    - Fix imagestore mounts and create parent directories (mode 0755).
    - Support tagged+digested references with `--all-platforms`.
  * Build against runc to v1.3.3 - CVE-2025-52881
  * Tighten dependencies on containers/{common,image,storage}
  * do not build against golang-github-opencontainers-specs-dev 1.3.0
  * debian/rules: avoid installing test programs

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Nov 2025 10:53:42 -0500

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
-Build-Conflicts: golang-github-dnephin-cobra-dev
+Build-Conflicts: golang-github-dnephin-cobra-dev,
+                 golang-github-opencontainers-specs-dev (>> 1.3.0)
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                dh-golang,
                go-md2man,
                golang-ginkgo-dev,
                golang-github-appc-cni-dev (>= 0.7.0~~),
-               golang-github-containers-common-dev (>= 0.64.1+ds1-2),
-               golang-github-containers-image-dev (>= 5.36),
+               golang-github-containers-common-dev (>= 0.66.0),
+               golang-github-containers-image-dev (>= 5.38),
                golang-github-containers-luksy-dev,
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>= 1.59),
+               golang-github-containers-storage-dev (>= 1.61),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-cyphar-filepath-securejoin-dev,
                golang-github-docker-docker-dev (>= 27.5),
@@ -27,11 +28,11 @@
                golang-github-mattn-go-shellwords-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
-               golang-github-opencontainers-runc-dev (>= 1.3~),
+               golang-github-opencontainers-runc-dev (>= 1.3.3~),
                golang-github-opencontainers-runtime-tools-dev,
                golang-github-opencontainers-selinux-dev,
                golang-github-opencontainers-specs-dev,
-               golang-github-openshift-imagebuilder-dev (>= 1.2.15+ds1-2),
+               golang-github-openshift-imagebuilder-dev (>= 1.2.19),
                golang-github-pkg-errors-dev,
                golang-github-seccomp-libseccomp-golang-dev,
                golang-github-sirupsen-logrus-dev,
@@ -58,7 +59,7 @@
 Package: buildah
 Architecture: any
 Static-Built-Using: ${misc:Static-Built-Using}
-Depends: golang-github-containers-common (>> 0.57),
+Depends: golang-github-containers-common (>> 0.66.0),
          uidmap,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -88,10 +89,10 @@
 Depends: golang-ginkgo-dev,
          golang-github-appc-cni-dev (>= 0.7.0~~),
          golang-github-containers-common-dev (>> 0.64),
-         golang-github-containers-image-dev (>= 5.36),
+         golang-github-containers-image-dev (>= 5.38),
          golang-github-containers-luksy-dev,
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>= 1.59),
+         golang-github-containers-storage-dev (>= 1.61),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-cyphar-filepath-securejoin-dev,
          golang-github-docker-docker-dev (>= 27.5),
@@ -107,7 +108,7 @@
          golang-github-opencontainers-runtime-tools-dev,
          golang-github-opencontainers-selinux-dev,
          golang-github-opencontainers-specs-dev,
-         golang-github-openshift-imagebuilder-dev (>= 1.2.15+ds1-2),
+         golang-github-openshift-imagebuilder-dev (>= 1.2.19),
          golang-github-pkg-errors-dev,
          golang-github-seccomp-libseccomp-golang-dev,
          golang-github-sirupsen-logrus-dev,

=== debian/rules ===
--- 
+++ 
@@ -34,3 +34,8 @@
 
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build
+
+execute_after_dh_auto_install:
+	# avoid installing those test programs
+	rm -vf debian/tmp/usr/bin/crash
+	rm -vf debian/tmp/usr/bin/wait
